# TdApi.UpdateFileDownloads (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateFileDownloads

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateFileDownloads

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateFileDownloads

Enclosing class:
  TdApi

public static final class TdApi.UpdateFileDownloads extends TdApi.Update
The state of the file download list has changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`downloadedSize`
Total downloaded size of files in the file download list, in bytes.
`int`
`totalCount`
Total number of files in the file download list.
`long`
`totalSize`
Total size of files in the file download list, in bytes.

## Constructor Summary

Constructors
Constructor
Description
`UpdateFileDownloads()`
The state of the file download list has changed.
`UpdateFileDownloads(long totalSize, int totalCount, long downloadedSize)`
The state of the file download list has changed.
`UpdateFileDownloads(DataInput input)`
The state of the file download list has changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### totalSize

public long totalSize
Total size of files in the file download list, in bytes.

### totalCount

public int totalCount
Total number of files in the file download list.

### downloadedSize

public long downloadedSize
Total downloaded size of files in the file download list, in bytes.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateFileDownloads

public UpdateFileDownloads()
The state of the file download list has changed.

### UpdateFileDownloads

public UpdateFileDownloads(long totalSize, int totalCount, long downloadedSize)
The state of the file download list has changed.

Parameters:
  `totalSize` - long Total size of files in the file download list, in bytes.
  `totalCount` - int Total number of files in the file download list.
  `downloadedSize` - long Total downloaded size of files in the file download list, in bytes.

### UpdateFileDownloads

public UpdateFileDownloads(DataInput input) throws IOException
The state of the file download list has changed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`